package com.sheep.gamegroup.greendao.download;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.Property;
import org.greenrobot.greendao.annotation.Generated;

/**
 * Created by realicing on 2018/10/24.
 * realicing@sina.com
 * 游戏sdk授权登录用到的用户信息
 */
@Entity
public class SdkLoginUser {
    /**
     * id,
     */
    @Id(autoincrement = true)
    private Long id;
    @Property(nameInDb = "token")
    private String token;
    @Property(nameInDb = "nickname")
    private String nickname;
    @Property(nameInDb = "invitation_code")
    private String invitation_code;
    @Property(nameInDb = "avatar")
    private String avatar;
    @Property(nameInDb = "service_name")
    private String serviceName;
    public String getServiceName() {
        return this.serviceName;
    }
    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }
    public String getAvatar() {
        return this.avatar;
    }
    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }
    public String getInvitation_code() {
        return this.invitation_code;
    }
    public void setInvitation_code(String invitation_code) {
        this.invitation_code = invitation_code;
    }
    public String getNickname() {
        return this.nickname;
    }
    public void setNickname(String nickname) {
        this.nickname = nickname;
    }
    public String getToken() {
        return this.token;
    }
    public void setToken(String token) {
        this.token = token;
    }
    public Long getId() {
        return this.id;
    }
    public void setId(Long id) {
        this.id = id;
    }
    @Generated(hash = 1057909451)
    public SdkLoginUser(Long id, String token, String nickname,
            String invitation_code, String avatar, String serviceName) {
        this.id = id;
        this.token = token;
        this.nickname = nickname;
        this.invitation_code = invitation_code;
        this.avatar = avatar;
        this.serviceName = serviceName;
    }
    @Generated(hash = 1869962748)
    public SdkLoginUser() {
    }
}
